Package org.kapott.hbci.tools

## Class StringUtil

- java.lang.Object
- - org.kapott.hbci.tools.StringUtil

    public class StringUtil
    extends java.lang.Object

Verschiedene String-Hilfsklassen.

### Constructor Summary

Constructors
`StringUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `hasText​(java.lang.String s)` Prueft, ob im String Text enthalten ist, der kein Whitespace ist.
`static java.lang.String` `toInsCode​(java.lang.String hbciCode)` Liefert zu einem HBCI-Code vom Client den zugehoerigen HBCI-Code des Instituts.
`static java.lang.String` `toParameterCode​(java.lang.String hbciCode)` Liefert zu einem HBCI-Code vom Client den zugehoerigen HBCI-Code der BPD/UPD.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtil

    public StringUtil()

### Method Detail

#### toInsCode

    public static java.lang.String toInsCode​(java.lang.String hbciCode)

Liefert zu einem HBCI-Code vom Client den zugehoerigen HBCI-Code des Instituts.

Parameters:
  `hbciCode` - der HBCI-Code des Clients.
Returns:
  der HBCI-Code des Instituts.

#### toParameterCode

    public static java.lang.String toParameterCode​(java.lang.String hbciCode)

Liefert zu einem HBCI-Code vom Client den zugehoerigen HBCI-Code der BPD/UPD.

Parameters:
  `hbciCode` - der HBCI-Code des Clients.
Returns:
  der HBCI-Code der BPD/UPD.

#### hasText

    public static boolean hasText​(java.lang.String s)

Prueft, ob im String Text enthalten ist, der kein Whitespace ist.

Parameters:
  `s` - der zu pruefende Text.
Returns:
  true, wenn Text enthalten ist. Wenn nur Leerzeichen oder andere Whitespaces enthalten sind, liefert die Funktion false. Ebenso wenn der String NULL ist.